﻿using EJGrid.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using System.Web.Mvc;
using System.Web.UI.WebControls;
using System.Xml;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.dataSource = new NorthwindDataContext().Orders.Select(ds => ds.EmployeeID).Distinct().ToList();
            return View();
        }
        public ActionResult DataSource(int? skip, int? take, string searchText)
        {
            List<EditableOrder> Data = OrderRepository.GetAllRecords().ToList();
            var count = Data.Count;
            if (skip.HasValue)
            {
                Data = Data.Skip(skip.Value).ToList();
            }
            if (take.HasValue)
            {
                Data = Data.Take(take.Value).ToList();
            }
            return Json(new { result = Data, count = count }, JsonRequestBehavior.AllowGet);
        }
      
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}